xmlrpc_transport transports data to a server as if to make an XML-RPC remote procedure call and displays the response from the server.

You supply the call in XML form on Standard Input and get the response in XML form on Standard Output. xmlrpc_transport doesn't really know anything about XML; it sends the characters you supply and displays the characters it gets back.

xmlrpc_transport uses the lower levels of the XML-RPC For C/C++ client libraries.

This program is mainly useful for debugging and learning about XML-RPC servers and the XML-RPC For C/C++ client XML transports.

## Examples

<

         $ xmlrpc_transport http://localhost:8080/RPC2 <<-EOF
            <?xml version="1.0" encoding="UTF-8"?>
            <methodCall>
            <methodName>sample.add</methodName>
            <params>
            <param><value><i4>5</i4></value></param>
            <param><value><i4>7</i4></value></param>
            </params>
            </methodCall>
            EOF
         <?xml version="1.0" encoding="UTF-8"?>
         <methodResponse>
         <params>
         <param><value><i4>12</i4></value></param>
         </params>
         </methodResponse>

## Overview

xmlrpc_transport url [-transport=transportname] [-username=username -password=password]

Minimum unique abbreviation of option is acceptable. You may use double hyphens instead of single hyphen to denote options. You may use white space in place of the equals sign to separate an option name from its value.

## Arguments

url
  This is the URL of the XML-RPC server. As XML-RPC uses HTTP, this must be an HTTP url. However, if you don't specify a type ("http:") in the URL, xmlrpc_transport assumes an "http://" prefix and a "/RPC2" suffix. RPC2 is the conventional file name for an XML-RPC responder.

## Options

-transport=transportname
  This selects the XML transport facility (e.g. libwww) that xmlrpc_transport uses to perform the RPC.

  The name transportname is one that the Xmlrpc-c programming library recognizes. This is typically libwww, curl, and wininet.

  By default, xmlrpc_transport lets the Xmlrpc-c library choose.

-username=username
-password=password
  These options, which must be used together, cause the client to authenticate itself to the server, if the server requires it, using HTTP Basic Authentication and the specified username and password.